
"use strict";

let MoveArmStatistics = require('./MoveArmStatistics.js');
let DisplayTrajectory = require('./DisplayTrajectory.js');
let ContactInformation = require('./ContactInformation.js');
let OrderedCollisionOperations = require('./OrderedCollisionOperations.js');
let AllowedContactSpecification = require('./AllowedContactSpecification.js');
let Shape = require('./Shape.js');
let CollisionObjectOperation = require('./CollisionObjectOperation.js');
let CollisionOperation = require('./CollisionOperation.js');
let JointLimits = require('./JointLimits.js');
let SimplePoseConstraint = require('./SimplePoseConstraint.js');
let JointTrajectoryWithLimits = require('./JointTrajectoryWithLimits.js');
let AttachedCollisionObject = require('./AttachedCollisionObject.js');
let PositionConstraint = require('./PositionConstraint.js');
let JointConstraint = require('./JointConstraint.js');
let VisibilityConstraint = require('./VisibilityConstraint.js');
let MotionPlanRequest = require('./MotionPlanRequest.js');
let MultiDOFJointTrajectoryPoint = require('./MultiDOFJointTrajectoryPoint.js');
let AllowedCollisionEntry = require('./AllowedCollisionEntry.js');
let RobotState = require('./RobotState.js');
let OrientationConstraint = require('./OrientationConstraint.js');
let CollisionMap = require('./CollisionMap.js');
let PlanningScene = require('./PlanningScene.js');
let WorkspaceParameters = require('./WorkspaceParameters.js');
let MultiDOFJointState = require('./MultiDOFJointState.js');
let LinkPadding = require('./LinkPadding.js');
let OrientedBoundingBox = require('./OrientedBoundingBox.js');
let ArmNavigationErrorCodes = require('./ArmNavigationErrorCodes.js');
let CollisionObject = require('./CollisionObject.js');
let AllowedCollisionMatrix = require('./AllowedCollisionMatrix.js');
let Constraints = require('./Constraints.js');
let RobotTrajectory = require('./RobotTrajectory.js');
let MultiDOFJointTrajectory = require('./MultiDOFJointTrajectory.js');
let SyncPlanningSceneActionResult = require('./SyncPlanningSceneActionResult.js');
let MakeStaticCollisionMapAction = require('./MakeStaticCollisionMapAction.js');
let MakeStaticCollisionMapActionFeedback = require('./MakeStaticCollisionMapActionFeedback.js');
let MakeStaticCollisionMapResult = require('./MakeStaticCollisionMapResult.js');
let SyncPlanningSceneGoal = require('./SyncPlanningSceneGoal.js');
let SyncPlanningSceneFeedback = require('./SyncPlanningSceneFeedback.js');
let MoveArmGoal = require('./MoveArmGoal.js');
let MakeStaticCollisionMapFeedback = require('./MakeStaticCollisionMapFeedback.js');
let SyncPlanningSceneResult = require('./SyncPlanningSceneResult.js');
let MoveArmFeedback = require('./MoveArmFeedback.js');
let SyncPlanningSceneActionGoal = require('./SyncPlanningSceneActionGoal.js');
let MoveArmActionResult = require('./MoveArmActionResult.js');
let MakeStaticCollisionMapGoal = require('./MakeStaticCollisionMapGoal.js');
let SyncPlanningSceneActionFeedback = require('./SyncPlanningSceneActionFeedback.js');
let MoveArmResult = require('./MoveArmResult.js');
let MoveArmActionGoal = require('./MoveArmActionGoal.js');
let MoveArmActionFeedback = require('./MoveArmActionFeedback.js');
let MakeStaticCollisionMapActionGoal = require('./MakeStaticCollisionMapActionGoal.js');
let MakeStaticCollisionMapActionResult = require('./MakeStaticCollisionMapActionResult.js');
let SyncPlanningSceneAction = require('./SyncPlanningSceneAction.js');
let MoveArmAction = require('./MoveArmAction.js');

module.exports = {
  MoveArmStatistics: MoveArmStatistics,
  DisplayTrajectory: DisplayTrajectory,
  ContactInformation: ContactInformation,
  OrderedCollisionOperations: OrderedCollisionOperations,
  AllowedContactSpecification: AllowedContactSpecification,
  Shape: Shape,
  CollisionObjectOperation: CollisionObjectOperation,
  CollisionOperation: CollisionOperation,
  JointLimits: JointLimits,
  SimplePoseConstraint: SimplePoseConstraint,
  JointTrajectoryWithLimits: JointTrajectoryWithLimits,
  AttachedCollisionObject: AttachedCollisionObject,
  PositionConstraint: PositionConstraint,
  JointConstraint: JointConstraint,
  VisibilityConstraint: VisibilityConstraint,
  MotionPlanRequest: MotionPlanRequest,
  MultiDOFJointTrajectoryPoint: MultiDOFJointTrajectoryPoint,
  AllowedCollisionEntry: AllowedCollisionEntry,
  RobotState: RobotState,
  OrientationConstraint: OrientationConstraint,
  CollisionMap: CollisionMap,
  PlanningScene: PlanningScene,
  WorkspaceParameters: WorkspaceParameters,
  MultiDOFJointState: MultiDOFJointState,
  LinkPadding: LinkPadding,
  OrientedBoundingBox: OrientedBoundingBox,
  ArmNavigationErrorCodes: ArmNavigationErrorCodes,
  CollisionObject: CollisionObject,
  AllowedCollisionMatrix: AllowedCollisionMatrix,
  Constraints: Constraints,
  RobotTrajectory: RobotTrajectory,
  MultiDOFJointTrajectory: MultiDOFJointTrajectory,
  SyncPlanningSceneActionResult: SyncPlanningSceneActionResult,
  MakeStaticCollisionMapAction: MakeStaticCollisionMapAction,
  MakeStaticCollisionMapActionFeedback: MakeStaticCollisionMapActionFeedback,
  MakeStaticCollisionMapResult: MakeStaticCollisionMapResult,
  SyncPlanningSceneGoal: SyncPlanningSceneGoal,
  SyncPlanningSceneFeedback: SyncPlanningSceneFeedback,
  MoveArmGoal: MoveArmGoal,
  MakeStaticCollisionMapFeedback: MakeStaticCollisionMapFeedback,
  SyncPlanningSceneResult: SyncPlanningSceneResult,
  MoveArmFeedback: MoveArmFeedback,
  SyncPlanningSceneActionGoal: SyncPlanningSceneActionGoal,
  MoveArmActionResult: MoveArmActionResult,
  MakeStaticCollisionMapGoal: MakeStaticCollisionMapGoal,
  SyncPlanningSceneActionFeedback: SyncPlanningSceneActionFeedback,
  MoveArmResult: MoveArmResult,
  MoveArmActionGoal: MoveArmActionGoal,
  MoveArmActionFeedback: MoveArmActionFeedback,
  MakeStaticCollisionMapActionGoal: MakeStaticCollisionMapActionGoal,
  MakeStaticCollisionMapActionResult: MakeStaticCollisionMapActionResult,
  SyncPlanningSceneAction: SyncPlanningSceneAction,
  MoveArmAction: MoveArmAction,
};
